#! /bin/sh

# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: rc3.sh 1.5 89/10/10 $@(#)initpkg:./rc3.sh	1.11"

if u3b2 || i386
then echo "#! /bin/sh
#	\"Run Commands\" executed when the system is changing to init state 3,
#	same as state 2 (multi-user)
set \`who -r\`
if [ -d /etc/rc3.d ]
then
	for f in /etc/rc3.d/K*
	{
		if [ -s \${f} ]
		then
			/bin/sh \${f} stop
		fi
	}

	for f in /etc/rc3.d/S*
	{
		if [ -s \${f} ]
		then
			/bin/sh \${f} start
		fi
	}
fi
if [ \$9 = 'S' ]
then
	echo '
The system is ready.'
fi
" >rc3
else
echo "
#	\"Run Commands\" executed when the system is changing to init state 3,
#	configuration is site dependant
" >rc3
fi
